var documenterSearchIndex = {"docs":
[{"location":"cowfiles/#Making-a-cow-function","page":"Make your own Cowfile","title":"Making a cow function","text":"","category":"section"},{"location":"cowfiles/","page":"Make your own Cowfile","title":"Make your own Cowfile","text":"The original cowsay used Perl scripts (called 'cowfiles') to allow for creating more ASCII cow art. Cowsay.jl uses Julia functions, instead. In order to be usable by Cowsay.cowsay, a cow function must","category":"page"},{"location":"cowfiles/","page":"Make your own Cowfile","title":"Make your own Cowfile","text":"Take the correct arguments\nThe function must take three (3)  keyword arguments  of the form\neyes::AbstractString=\"oo\"\ntongue::AbstractString=\"  \"\nthoughts::AbstractString=\"\\\\\"\nWhen drawing the cow artwork, you may then use the variables eyes in place of the  eyes, tongue in place of the tongue, and thoughts in place of the speech ballon  trail. Use of these variables in constructing the cow is optional (but makes the use of  your cow function far more fun), but all three arguments must be present in the  signature, regardless.\nReturn a string\nThe cow artwork must be returned from the function as a string. This is distinctly  different from how the original cowsay modified the $the_cow variable.","category":"page"},{"location":"cowfiles/#Helpful-hints-for-making-cow-functions","page":"Make your own Cowfile","title":"Helpful hints for making cow functions","text":"","category":"section"},{"location":"cowfiles/","page":"Make your own Cowfile","title":"Make your own Cowfile","text":"Include one function per file, with the extension .cow.jl\nDo not indent within a .cow.jl file to better see the artwork\nMake use of string literals (\"\"\") and string interpolation ($) to build the cow  art\nBe sure to escape backslashes (\\) and dollar signs ($) within your artwork\nWhen converting from Perl cowfiles, unescape at symbols (@), as these are not special in Julia strings\nSplit the eyes variable to get individual left- and right-eye when creating large cow  functions\nHave fun!","category":"page"},{"location":"cows/#Cows","page":"Available Cowfiles","title":"Cows","text":"","category":"section"},{"location":"cows/","page":"Available Cowfiles","title":"Available Cowfiles","text":"Examples of all the cowfiles available.","category":"page"},{"location":"cows/#Bovine","page":"Available Cowfiles","title":"Bovine","text":"","category":"section"},{"location":"cows/","page":"Available Cowfiles","title":"Available Cowfiles","text":"Cowsay.default\nCowsay.cower\nCowsay.moofasa\nCowsay.mutilated\nCowsay.skeleton\nCowsay.small\nCowsay.supermilker\nCowsay.three_eyes\nCowsay.udder\nCowsay.vader\nCowsay.www","category":"page"},{"location":"cows/#Cowsay.default","page":"Available Cowfiles","title":"Cowsay.default","text":"function default()\n\nThe original cowfile\n\nExample\n\njulia> cowsay(\"Moo\", cow=Cowsay.default)\n _____\n< Moo >\n -----\n        \\   ^__^\n         \\  (oo)\\_______\n            (__)\\       )\\/\\\n                ||----w |\n                ||     ||\n\n\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.cower","page":"Available Cowfiles","title":"Cowsay.cower","text":"function cower()\n\nA cowering cow\n\nExample\n\njulia> cowsay(\"Is it safe to come out yet?\", cow=Cowsay.cower)\n _____________________________\n< Is it safe to come out yet? >\n -----------------------------\n     \\\n      \\\n        ,__, |    |\n        (oo)\\|    |___\n        (__)\\|    |   )\\_\n             |    |_w |  \\\n             |    |  ||   *\n\n             Cower....\n\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.moofasa","page":"Available Cowfiles","title":"Cowsay.moofasa","text":"function moofasa()\n\nMOOfasa\n\nExample\n\njulia> cowsay(\"It's the circle of life\", cow=Cowsay.moofasa)\n _________________________\n< It's the circle of life >\n -------------------------\n       \\    ____\n        \\  /    \\\n          | ^__^ |\n          | (oo) |______\n          | (__) |      )\\/\\\n           \\____/|----w |\n                ||     ||\n\n             Moofasa\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.mutilated","page":"Available Cowfiles","title":"Cowsay.mutilated","text":"function mutilated()\n\nA mutilated cow, from aspolito@csua.berkeley.edu\n\nExample\n\njulia> cowsay(\"I wouldn't have been so eager to make head cheese...\", cow=Cowsay.mutilated)\n _______________________________________\n/ I wouldn't have been so eager to make \\\n\\ head cheese...                        /\n ---------------------------------------\n       \\   \\_______\n v__v   \\  \\   O   )\n (oo)      ||----w |\n (__)      ||     ||  \\/\\\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.skeleton","page":"Available Cowfiles","title":"Cowsay.skeleton","text":"function skeleton()\n\nThis 'Scowleton' brought to you by one of {appel,kube,rowe}@csua.berkeley.edu\n\nExample\n\njulia> cowsay(\"All T-Bone, no steak\", cow=Cowsay.skeleton)\n ______________________\n< All T-Bone, no steak >\n ----------------------\n          \\      (__)\n           \\     /oo|\n            \\   (_\"_)*+++++++++*\n                   //I#\\\\\\\\\\\\\\\\I\\\n                   I[I|I|||||I I `\n                   I`I'///'' I I\n                   I I       I I\n                   ~ ~       ~ ~\n                     Scowleton\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.small","page":"Available Cowfiles","title":"Cowsay.small","text":"function small()\n\nA small cow, artist unknown\n\nExample\n\njulia> cowsay(\"A calf\", cow=Cowsay.small)\n ________\n< A calf >\n --------\n       \\   ,__,\n        \\  (..)____\n           (__)    )\\\n              ||--|| *\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.supermilker","page":"Available Cowfiles","title":"Cowsay.supermilker","text":"function supermilker()\n\nA cow being milked, probably from Lars Smith (lars@csua.berkeley.edu)\n\nExample\n\njulia> cowsay(\"Paying the bills\", cow=Cowsay.supermilker)\n __________________\n< Paying the bills >\n ------------------\n  \\   ^__^\n   \\  (oo)\\_______        ________\n      (__)\\       )\\/\\    |Super |\n          ||----W |       |Milker|\n          ||    UDDDDDDDDD|______|\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.three_eyes","page":"Available Cowfiles","title":"Cowsay.three_eyes","text":"function three_eyes()\n\nA cow with three eyes, brought to you by dpetrou@csua.berkeley.edu\n\nExample\n\njulia> cowsay(\"The better to see you with...\", cow=Cowsay.three_eyes)\n _______________________________\n< The better to see you with... >\n -------------------------------\n        \\  ^___^\n         \\ (ooo)\\_______\n           (___)\\       )\\/\\\n                ||----w |\n                ||     ||\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.udder","page":"Available Cowfiles","title":"Cowsay.udder","text":"function udder()\n\nThe cow from a file called cow-n-horn, artist unknown.\n\nExample\n\njulia> cowsay(\"Milking time!\", cow=Cowsay.udder)\n _______________\n< Milking time! >\n ---------------\n  \\\n   \\    (__)\n        o o\\\n       ('') \\---------\n          \\           \\\n           |          |\\\n           ||---(  )_|| *\n           ||    UU  ||\n           ==        ==\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.vader","page":"Available Cowfiles","title":"Cowsay.vader","text":"function vader()\n\nCowth Vader, from geordan@csua.berkeley.edu\n\nExample\n\njulia> cowsay(\"Luke, I am your father!\", cow=Cowsay.vader)\n _________________________\n< Luke, I am your father! >\n -------------------------\n        \\    ,-^-.\n         \\   !oYo!\n          \\ /./=\\.\\______\n               ##        )\\/\\\n                ||-----w||\n                ||      ||\n\n               Cowth Vader\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.www","page":"Available Cowfiles","title":"Cowsay.www","text":"function www()\n\nA cow wadvertising the World Wide Web, from lim@csua.berkeley.edu\n\nExample\n\njulia> cowsay(\"My favorite site is MooTube\", cow=Cowsay.www)\n _____________________________\n< My favorite site is MooTube >\n -----------------------------\n        \\   ^__^\n         \\  (oo)\\_______\n            (__)\\       )\\/\\\n                ||--WWW |\n                ||     ||\n\n\n\n\n\n","category":"function"},{"location":"cows/#Mascots","page":"Available Cowfiles","title":"Mascots","text":"","category":"section"},{"location":"cows/","page":"Available Cowfiles","title":"Available Cowfiles","text":"Cowsay.blowfish\nCowsay.elephant\nCowsay.tux","category":"page"},{"location":"cows/#Cowsay.blowfish","page":"Available Cowfiles","title":"Cowsay.blowfish","text":"function blowfish()\n\nA blowfish.\n\njulia> cowsay(\"Bloop, bloop\", cow=Cowsay.blowfish)\n ______________\n< Bloop, bloop >\n --------------\n   \\\n    \\\n               |    .\n           .   |L  /|\n       _ . |\\ _| \\--+._/| .\n      / ||\\| Y J  )   / |/| ./\n     J  |)'( |        ` F`.'/\n   -<|  F         __     .-<\n     | /       .-'. `.  /-. L___\n     J \\      <    \\  | | O\\|.-'\n   _J \\  .-    \\/ O | | \\  |F\n  '-F  -<_.     \\   .-'  `-' L__\n __J  _   _.     >-'  )._.   |-'\n `-|.'   /_.           \\_|   F\n   /.-   .                _.<\n  /'    /.'             .'  `\\\n   /L  /'   |/      _.-'-\\\n  /'J       ___.---'\\|\n    |\\  .--' V  | `. `\n    |/`. `-.     `._)\n       / .-.\\\n VK    \\ (  `\\\n        `.\\\n\n\n\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.elephant","page":"Available Cowfiles","title":"Cowsay.elephant","text":"function elephant()\n\nAn elephant out and about\n\nExample\n\njulia> cowsay(\"Toot!\", cow=Cowsay.elephant)\n _______\n< Toot! >\n -------\n \\     /\\  ___  /\\\n  \\   // \\/   \\/ \\\\\n     ((    O O    ))\n      \\\\ /     \\ //\n       \\/  | |  \\/\n        |  | |  |\n        |  | |  |\n        |   o   |\n        | |   | |\n        |m|   |m|\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.tux","page":"Available Cowfiles","title":"Cowsay.tux","text":"function tux()\n\nTuX (c) pborys@p-soft.silesia.linux.org.pl\n\nExample\n\njulia> cowsay(\"Talk is cheap. Show me the code.\", cow=Cowsay.tux)\n __________________________________\n< Talk is cheap. Show me the code. >\n ----------------------------------\n   \\\n    \\\n        .--.\n       |o_o |\n       |:_/ |\n      //   \\ \\\n     (|     | )\n    /'\\_   _/`\\\n    \\___)=(___/\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cows-and-friends","page":"Available Cowfiles","title":"Cows and friends","text":"","category":"section"},{"location":"cows/","page":"Available Cowfiles","title":"Available Cowfiles","text":"Cowsay.dragon_and_cow\nCowsay.mech_and_cow\nCowsay.surgery","category":"page"},{"location":"cows/#Cowsay.dragon_and_cow","page":"Available Cowfiles","title":"Cowsay.dragon_and_cow","text":"function dragon_and_cow()\n\nA dragon smiting a cow, possible credit to kube@csua.berkeley.edu\n\nExample\n\njulia> cowsay(\"Roast beef: it's what's for dinner\", cow=Cowsay.dragon_and_cow)\n ____________________________________\n< Roast beef: it's what's for dinner >\n ------------------------------------\n                       \\                    ^    /^\n                        \\                  / \\  // \\\n                         \\   |\\___/|      /   \\//  .\\\n                          \\  /O  O  \\__  /    //  | \\ \\           *----*\n                            /     /  \\/_/    //   |  \\  \\          \\   |\n                            @___@`    \\/_   //    |   \\   \\         \\/\\ \\\n                           0/0/|       \\/_ //     |    \\    \\         \\  \\\n                       0/0/0/0/|        \\///      |     \\     \\       |  |\n                    0/0/0/0/0/_|_ /   (  //       |      \\     _\\     |  /\n                 0/0/0/0/0/0/`/,_ _ _/  ) ; -.    |    _ _\\.-~       /   /\n                             ,-}        _      *-.|.-~-.           .~    ~\n            \\     \\__/        `/\\      /                 ~-. _ .-~      /\n             \\____(oo)           *.   }            {                   /\n             (    (--)          .----~-.\\        \\-`                 .~\n             //__\\\\  \\__ Ack!   ///.----..<        \\             _ -~\n            //    \\\\               ///-._ _ _ _ _ _ _{^ - - - - ~\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.mech_and_cow","page":"Available Cowfiles","title":"Cowsay.mech_and_cow","text":"function mech_and_cow()\n\nExample\n\njulia> cowsay(\"Do you ever get that feeling...?\", cow=Cowsay.mech_and_cow)\n __________________________________\n< Do you ever get that feeling...? >\n ----------------------------------\n   \\                               ,-----.\n   /                               |     |\n   \\                            ,--|     |-.\n   /                     __,----|  |     | |\n   \\                   ,;::     |  `_____' |\n   /                   `._______|    i^i   |\n   \\                            `----| |---'| .\n   /                       ,-------._| |== ||//\n   \\                       |       |_|P`.  /'/\n   /                       `-------' 'Y Y/'/'\n   \\                                 .==\\ /_\\\n   ^__^                             /   /'|  `i\n   (oo)\\_______                   /'   /  |   |\n   (__)\\       )\\/\\            /'    /   |   `i\n      ||----w||           ___,;`----'.___L_,-'`\\__\n      ||     ||          i_____;----\\.____i\"\"\\____\\\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.surgery","page":"Available Cowfiles","title":"Cowsay.surgery","text":"function surgery()\n\nA cow operation, artist unknown\n\nExample\n\njulia> cowsay(\"Removing the last bit of net wrap now\", cow=Cowsay.surgery)\n _______________________________________\n< Removing the last bit of net wrap now >\n ---------------------------------------\n          \\           \\  /\n           \\           \\/\n               (__)    /\\\n               (oo)   O  O\n               _\\/_   //\n         *    (    ) //\n          \\  (\\\\    //\n           \\(  \\\\    )\n            (   \\\\   )   /\\\n  ___[\\______/^^^^^^^\\__/) o-)__\n |\\__[=======______//________)__\\\n \\|_______________//____________|\n     |||      || //||     |||\n     |||      || @.||     |||\n      ||      \\/  .\\/      ||\n                 . .\n                '.'.`\n\n            COW-OPERATION\n\n\n\n\n\n","category":"function"},{"location":"cows/#Other","page":"Available Cowfiles","title":"Other","text":"","category":"section"},{"location":"cows/","page":"Available Cowfiles","title":"Available Cowfiles","text":"Cowsay.bunny\nCowsay.dragon\nCowsay.elephant_in_snake\nCowsay.eyes\nCowsay.flaming_sheep\nCowsay.fox\nCowsay.kitty\nCowsay.koala\nCowsay.meow\nCowsay.moose\nCowsay.sheep\nCowsay.stegosaurus\nCowsay.turkey\nCowsay.turtle\nCowsay.vader_koala","category":"page"},{"location":"cows/#Cowsay.bunny","page":"Available Cowfiles","title":"Cowsay.bunny","text":"function bunny()\n\nA cute little wabbit\n\nExample\n\njulia> cowsay(\"Look at that tortoise way off in the distance.\", cow=Cowsay.bunny)\n ______________________________________\n/ Look at that tortoise way off in the \\\n\\ distance.                            /\n --------------------------------------\n  \\\n   \\   \\\n        \\ /\\\n        ( )\n      .( o ).\n\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.dragon","page":"Available Cowfiles","title":"Cowsay.dragon","text":"function dragon()\n\nThe Whitespace Dragon\n\nExample\n\njulia> cowsay(\"Roar!\", cow=Cowsay.dragon)\n _______\n< Roar! >\n -------\n      \\                    / \\  //\\\n       \\    |\\___/|      /   \\//  \\\\\n            /0  0  \\__  /    //  | \\ \\\n           /     /  \\/_/    //   |  \\  \\\n           @_^_@'/   \\/_   //    |   \\   \\\n           //_^_/     \\/_ //     |    \\    \\\n        ( //) |        \\///      |     \\     \\\n      ( / /) _|_ /   )  //       |      \\     _\\\n    ( // /) '/,_ _ _/  ( ; -.    |    _ _\\.-~        .-~~~^-.\n  (( / / )) ,-{        _      `-.|.-~-.           .~         `.\n (( // / ))  '/\\      /                 ~-. _ .-~      .-~^-.  \\\n (( /// ))      `.   {            }                   /      \\  \\\n  (( / ))     .----~-.\\        \\-'                 .~         \\  `. \\^-.\n             ///.----..>        \\             _ -~             `.  ^-`  ^-_\n               ///-._ _ _ _ _ _ _}^ - - - - ~                     ~-- ,.-~\n                                                                  /.-~\n\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.elephant_in_snake","page":"Available Cowfiles","title":"Cowsay.elephant_in_snake","text":"function elephant_in_snake()\n\nDo we need to explain this?\n\nExample\n\njulia> cowsay(\"Help!\", cow=Cowsay.elephant_in_snake)\n _______\n< Help! >\n -------\n   \\\n    \\              ....\n           ........    .\n          .            .\n         .             .\n.........              .......\n..............................\n\nElephant inside ASCII snake\n\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.eyes","page":"Available Cowfiles","title":"Cowsay.eyes","text":"function eyes()\n\nEvil-looking eyes\n\nExample\n\njulia> cowsay(\"Mwah, ha, ha!\", cow=Cowsay.eyes)\n _______________\n< Mwah, ha, ha! >\n ---------------\n    \\\n     \\\n                                   .::!!!!!!!:.\n  .!!!!!:.                        .:!!!!!!!!!!!!\n  ~~~~!!!!!!.                 .:!!!!!!!!!UWWW$$$\n      :$$NWX!!:           .:!!!!!!XUWW$$$$$$$$$P\n      $$$$$##WX!:      .<!!!!UW$$$$\"  $$$$$$$$#\n      $$$$$  $$$UX   :!!UW$$$$$$$$$   4$$$$$*\n      ^$$$B  $$$$\\     $$$$$$$$$$$$   d$$R\"\n        \"*$bd$$$$      '*$$$$$$$$$$$o+#\"\n             \"\"\"\"          \"\"\"\"\"\"\"\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.flaming_sheep","page":"Available Cowfiles","title":"Cowsay.flaming_sheep","text":"function flaming_sheep()\n\nThe flaming sheep, contributed by Geordan Rosario (geordan@csua.berkeley.edu)\n\nExample\n\njulia> cowsay(\"Baaahhh!\", cow=Cowsay.flaming_sheep)\n __________\n< Baaahhh! >\n ----------\n  \\            .    .     .\n   \\      .  . .     `  ,\n    \\    .; .  : .' :  :  : .\n     \\   i..`: i` i.i.,i  i .\n      \\   `,--.|i |i|ii|ii|i:\n           UooU\\.'@@@@@@`.||'\n           \\__/(@@@@@@@@@@)'\n                (@@@@@@@@)\n                `YY~~~~YY'\n                 ||    ||\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.fox","page":"Available Cowfiles","title":"Cowsay.fox","text":"function fox()\n\nExample\n\njulia> cowsay(\"What does the fox say?\", cow=Cowsay.fox)\n ________________________\n< What does the fox say? >\n ------------------------\n         \\     ,-.      .-,\n          \\    |-.\\ __ /.-|\n           \\   \\  `    `  /\n                /_     _ \\\n              <  _`q  p _  >\n              <.._=/  \\=_. >\n                 {`\\()/`}`\\\n                 {      }  \\\n                 |{    }    \\\n                 \\ '--'   .- \\\n                 |-      /    \\\n                 | | | | |     ;\n                 | | |.;.,..__ |\n               .-\"\";`         `|\n              /    |           /\n              `-../____,..---'`\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.kitty","page":"Available Cowfiles","title":"Cowsay.kitty","text":"function kitty()\n\nA kitten of sorts, I think\n\nExample\n\njulia> cowsay(\"Meow\", cow=Cowsay.kitty)\n ______\n< Meow >\n ------\n     \\\n      \\\n       (\"`-'  '-/\") .___..--' ' \"`-._\n         ` *_ *  )    `-.   (      ) .`-.__. `)\n         (_Y_.) ' ._   )   `._` ;  `` -. .-'\n      _.. `--'_..-_/   /--' _ .' ,4\n   ( i l ),-''  ( l i),'  ( ( ! .-'\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.koala","page":"Available Cowfiles","title":"Cowsay.koala","text":"function koala\n\nFrom the canonical koala collection\n\nExample\n\njulia> cowsay(\"Welcome to Down Under\", cow=Cowsay.koala)\n _______________________\n< Welcome to Down Under >\n -----------------------\n  \\\n   \\\n       ___\n     {~._.~}\n      ( Y )\n     ()~*~()\n     (_)-(_)\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.meow","page":"Available Cowfiles","title":"Cowsay.meow","text":"function meow()\n\nA meowing tiger?\n\nExample\n\njulia> cowsay(\"We're kind of stupid that way\", cow=Cowsay.meow)\n _______________________________\n< We're kind of stupid that way >\n -------------------------------\n  \\\n   \\ ,   _ ___.--'''`--''//-,-_--_.\n      \\`\"' ` || \\\\ \\ \\\\/ / // / ,-\\\\`,_\n     /'`  \\ \\ || Y  | \\|/ / // / - |__ `-,\n    /@\"\\  ` \\ `\\ |  | ||/ // | \\/  \\  `-._`-,_.,\n   /  _.-. `.-\\,___/\\ _/|_/_\\_\\/|_/ |     `-._._)\n   `-'``/  /  |  // \\__/\\__  /  \\__/ \\\n        `-'  /-\\/  | -|   \\__ \\   |-' |\n          __/\\ / _/ \\/ __,-'   ) ,' _|'\n         (((__/(((_.' ((___..-'((__,'\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.moose","page":"Available Cowfiles","title":"Cowsay.moose","text":"function moose()\n\nExample\n\njulia> cowsay(\"Time to vamoose\", cow=Cowsay.moose)\n _________________\n< Time to vamoose >\n -----------------\n  \\\n   \\   \\_\\_    _/_/\n    \\      \\__/\n           (oo)\\_______\n           (__)\\       )\\/\\\n               ||----w |\n               ||     ||\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.sheep","page":"Available Cowfiles","title":"Cowsay.sheep","text":"function sheep()\n\nThe non-flaming sheep.\n\nExample\n\njulia> cowsay(\"Baa\", cow=Cowsay.sheep)\n _____\n< Baa >\n -----\n  \\\n   \\\n       __\n      UooU\\.'@@@@@@`.\n      \\__/(@@@@@@@@@@)\n           (@@@@@@@@)\n           `YY~~~~YY'\n            ||    ||\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.stegosaurus","page":"Available Cowfiles","title":"Cowsay.stegosaurus","text":"function stegosaurus()\n\nA stegosaur with a top hat?\n\nExample\n\njulia> cowsay(\"How do you do?\", cow=Cowsay.stegosaurus)\n ________________\n< How do you do? >\n ----------------\n\\                             .       .\n \\                           / `.   .' \"\n  \\                  .---.  <    > <    >  .---.\n   \\                 |    \\  \\ - ~ ~ - /  /    |\n         _____          ..-~             ~-..-~\n        |     |   \\~~~\\.'                    `./~~~/\n       ---------   \\__/                        \\__/\n      .'  O    \\     /               /       \\  \"\n     (_____,    `._.'               |         }  \\/~~~/\n      `----.          /       }     |        /    \\__/\n            `-.      |       /      |       /      `. ,~~|\n                ~-.__|      /_ - ~ ^|      /- _      `..-'\n                     |     /        |     /     ~-.     `-. _  _  _\n                     |_____|        |_____|         ~ - . _ _ _ _ _>\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.turkey","page":"Available Cowfiles","title":"Cowsay.turkey","text":"function turkey()\n\nTurkey!\n\nExample\n\njulia> cowsay(\"Gobble, gobble\", cow=Cowsay.turkey)\n ________________\n< Gobble, gobble >\n ----------------\n  \\                                  ,+*^^*+___+++_\n   \\                           ,*^^^^              )\n    \\                       _+*                     ^**+_\n     \\                    +^       _ _++*+_+++_,         )\n              _+^^*+_    (     ,+*^ ^          \\+_        )\n             {       )  (    ,(    ,_+--+--,      ^)      ^\\\n            { (@)    } f   ,(  ,+-^ __*_*_  ^^\\_   ^\\       )\n           {:;-/    (_+*-+^^^^^+*+*<_ _++_)_    )    )      /\n          ( /  (    (        ,___    ^*+_+* )   <    <      \\\n           U _/     )    *--<  ) ^\\-----++__)   )    )       )\n            (      )  _(^)^^))  )  )\\^^^^^))^*+/    /       /\n          (      /  (_))_^)) )  )  ))^^^^^))^^^)__/     +^^\n         (     ,/    (^))^))  )  ) ))^^^^^^^))^^)       _)\n          *+__+*       (_))^)  ) ) ))^^^^^^))^^^^^)____*^\n          \\             \\_)^)_)) ))^^^^^^^^^^))^^^^)\n           (_             ^\\__^^^^^^^^^^^^))^^^^^^^)\n             ^\\___            ^\\__^^^^^^))^^^^^^^^)\\\\\n                  ^^^^^\\uuu/^^\\uuu/^^^^\\^\\^\\^\\^\\^\\^\\^\\\n                     ___) >____) >___   ^\\_\\_\\_\\_\\_\\_\\)\n                    ^^^//\\\\_^^//\\\\_^       ^(\\_\\_\\_\\)\n                      ^^^ ^^ ^^^ ^\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.turtle","page":"Available Cowfiles","title":"Cowsay.turtle","text":"function turtle()\n\nA mysterious turtle...\n\nExample\n\njulia> cowsay(\"Where is that pesky rabbit?\", cow=Cowsay.turtle)\n _____________________________\n< Where is that pesky rabbit? >\n -----------------------------\n    \\                                  ___-------___\n     \\                             _-~~             ~~-_\n      \\                         _-~                    /~-_\n             /^\\__/^\\         /~  \\                   /    \\\n           /|  O|| O|        /      \\_______________/        \\\n          | |___||__|      /       /                \\          \\\n          |          \\    /      /                    \\          \\\n          |   (_______) /______/                        \\_________ \\\n          |         / /         \\                      /            \\\n           \\         \\^\\\\         \\                  /               \\     /\n             \\         ||           \\______________/      _-_       //\\__//\n               \\       ||------_-~~-_ ------------- \\ --/~   ~\\    || __/\n                 ~-----||====/~     |==================|       |/~~~~~\n                  (_(__/  ./     /                    \\_\\      \\.\n                         (_(___/                         \\_____)_)\n\n\n\n\n\n","category":"function"},{"location":"cows/#Cowsay.vader_koala","page":"Available Cowfiles","title":"Cowsay.vader_koala","text":"function vader_koala\n\nAnother canonical koala?\n\nExample\n\njulia> cowsay(\"Luke, you are my joey!\", cow=Cowsay.vader_koala)\n ________________________\n< Luke, you are my joey! >\n ------------------------\n   \\\n    \\        .\n     .---.  //\n    Y|o o|Y//\n   /_(i=i)K/\n   ~()~*~()~\n    (_)-(_)\n\n     Darth\n     Vader\n     koala\n\n\n\n\n\n","category":"function"},{"location":"","page":"Home","title":"Home","text":"CurrentModule = Cowsay","category":"page"},{"location":"#Cowsay.jl","page":"Home","title":"Cowsay.jl","text":"","category":"section"},{"location":"","page":"Home","title":"Home","text":"A Julia package that lets you use cowsay in your Julia programs!","category":"page"},{"location":"#Usage","page":"Home","title":"Usage","text":"","category":"section"},{"location":"","page":"Home","title":"Home","text":"Cowsay.cowsay\nCowsay.cowsaid","category":"page"},{"location":"#Cowsay.cowsay","page":"Home","title":"Cowsay.cowsay","text":"cowsay([io,] message::AbstractString; kwargs...)\ncowthink([io,] message::AbstractString; kwargs...)\n\nPrint an ASCII picture of a cow saying/thinking message\n\nArguments\n\nmessage::AbstractString: Tell the cow what to say\n\nKeywords\n\ncow=default: Specify a particular function handle to print the ASCII art. See below for   more details on what constitutes a valid function handle.\neyes::AbstractString=\"oo\": A two-character string to be drawn in for the eyes. Not all   cowfiles support this, though.\ntongue::AbstractString=\"  \": A two-character string to be drawn in for the tongue. Not   all cowfiles support this.\nwrap::Int=40: The number of characters at which to wrap message to a new line\nnowrap::Bool=false: Don't perform text wrapping on message\n\nExample\n\njulia> cowsay(\"Have you mooed today?\")\n _______________________\n< Have you mooed today? >\n -----------------------\n        \\   ^__^\n         \\  (oo)\\_______\n            (__)\\       )\\/\\\n                ||----w |\n                ||     ||\n\njulia> cowthink(\"Have I mooed today?\")\n _____________________\n( Have I mooed today? )\n ---------------------\n        o   ^__^\n         o  (oo)\\_______\n            (__)\\       )\\/\\\n                ||----w |\n                ||     ||\n\n\n\n\n\n","category":"function"},{"location":"#Cowsay.cowsaid","page":"Home","title":"Cowsay.cowsaid","text":"cowsaid(message::AbstractString; kwargs...)\ncowthunk(message::AbstractString; kwargs...)\n\nConstructs cow art and returns it as a string instead of printing it. See cowsay for implementation details.\n\nExample\n\njulia> cowsaid(\"Have you mooed today?\")\n\" _______________________\\n< Have you mooed today? >\\n -----------------------\\n        \\\\   ^__^\\n         \\\\  (oo)\\\\_______\\n            (__)\\\\       )\\\\/\\\\\\n                ||----w |\\n                ||     ||\\n\"\n\njulia> cowthunk(\"Have I mooed today?\")\n\" _____________________\\n( Have I mooed today? )\\n ---------------------\\n        o   ^__^\\n         o  (oo)\\\\_______\\n            (__)\\\\       )\\\\/\\\\\\n                ||----w |\\n                ||     ||\\n\"\n\n\n\n\n\n","category":"function"}]
}
